## pyamf 0.6.1+dfsg

=== debian/changelog ===
pyamf (0.6.1+dfsg-3) unstable; urgency=low

  * Team upload.
  * Empty list initialization patch to stay compliant with recent cython
  0.15.1 (Closes: #642785)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 05 Dec 2011 07:18:27 -0500

pyamf (0.6.1+dfsg-2) unstable; urgency=low

  * Install missing python modules: amf0.so and codec.so.

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 30 Jun 2011 10:12:48 -0430

pyamf (0.6.1+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #499617)

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 23 Jun 2011 11:43:08 -0430
