=== debian/control ===
Source: pyamf
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <miguel@miguel.cc>
Build-Depends:
 cython-dbg (>= 0.13),
 debhelper (>= 8.1.0~),
 python-all-dbg (>= 2.6.6-3~),
 python-all-dev (>= 2.6.6-3~),
 python-django (>= 0.96),
 python-elixir (>= 0.7.1),
 python-lxml,
 python-setuptools (>= 0.6c9),
 python-sqlalchemy (>= 0.4),
 python-pysqlite2,
 python-twisted-core,
 python-twisted-web,
 python-unittest2
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Homepage: http://www.pyamf.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyamf/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyamf/trunk/debian/

Package: python-pyamf
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Enhances: python-django, python-pylons, python-twisted
Suggests:
 python-django (>= 0.96),
 python-elixir (>= 0.7.1),
 python-sqlalchemy (>= 0.4),
 python-twisted-core,
 python-twisted-web
Description: Action Message Format support for Python
 PyAMF provides Action Message Format (AMF) support for Python
 that is compatible with the Flash Player. It includes integration
 with Python web frameworks like Django, Pylons, Twisted, and more.
 .
 The Adobe Integrated Runtime and Adobe Flash Player use AMF to
 communicate between an application and a remote server. AMF encodes
 remote procedure calls (RPC) into a compact binary representation
 that can be transferred over HTTP/HTTPS or the RTMP/RTMPS protocol.
 Objects and data values are serialized into this binary format,
 which increases performance, allowing applications to load data up
 to 10 times faster than with text-based formats such as XML or SOAP.

Package: python-pyamf-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libjs-mootools
Suggests: python-pyamf
Description: Action Message Format support for Python (documentation)
 PyAMF provides Action Message Format (AMF) support for Python
 that is compatible with the Flash Player. It includes integration
 with Python web frameworks like Django, Pylons, Twisted, and more.
 .
 The Adobe Integrated Runtime and Adobe Flash Player use AMF to
 communicate between an application and a remote server. AMF encodes
 remote procedure calls (RPC) into a compact binary representation
 that can be transferred over HTTP/HTTPS or the RTMP/RTMPS protocol.
 Objects and data values are serialized into this binary format,
 which increases performance, allowing applications to load data up
 to 10 times faster than with text-based formats such as XML or SOAP.
 .
 This package contains tutorials and examples.

Package: python-pyamf-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 python-dbg,
 python-pyamf (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Action Message Format support for Python (debugging files)
 PyAMF provides Action Message Format (AMF) support for Python
 that is compatible with the Flash Player. It includes integration
 with Python web frameworks like Django, Pylons, Twisted, and more.
 .
 The Adobe Integrated Runtime and Adobe Flash Player use AMF to
 communicate between an application and a remote server. AMF encodes
 remote procedure calls (RPC) into a compact binary representation
 that can be transferred over HTTP/HTTPS or the RTMP/RTMPS protocol.
 Objects and data values are serialized into this binary format,
 which increases performance, allowing applications to load data up
 to 10 times faster than with text-based formats such as XML or SOAP.
 .
 This package contains the extension built for the Python debug interpreter.
