=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://pypi.python.org/packages/source/P/PyAMF/PyAMF-([\d.]+)\.tar\.gz \
 debian debian/orig-tar.sh
